GCLOUD_ML-ENGINE_MODELS_SET-IAM-POLICY(1)

NAME

gcloud ml-engine models set-iam-policy - set the IAM policy for a model

SYNOPSIS

gcloud ml-engine models set-iam-policy MODEL POLICY_FILE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Sets the IAM policy for the given model as defined in a JSON file. See https://cloud.google.com/iam/docs/managing-policies for details of the policy file format and contents.

POSITIONAL ARGUMENTS

    MODEL
        Name of the model.

    POLICY_FILE
        JSON file with the IAM policy

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command will read am IAM policy defined in a JSON file 'policy.json' and set it for the model my_model:
    $ gcloud ml-engine models set-iam-policy my_model policy.json